[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.ClearFields

Clear the values of all fields

## Declaration

Source position: db.pas line 1678

`public procedure TDataSet.ClearFields;`

## Description

ClearFields clears the values of all fields.

## Errors

If the dataset is not in editing mode (State in dsEditmodes), then an EDatabaseError exception will be raised.

## See also

TDataset.State |  | Current operational state of the dataset
TField.Clear |  | Clear the field contents.